CUPTI (PDF) - v6.5 (older) - Last updated August 1, 2014 - Send Feedback -

## 3.31. CUpti_ActivitySharedAccess Struct Reference

## [CUPTI Activity API]

This activity records the locations of the shared accesses in the source (CUPTI_ACTIVITY_KIND_SHARED_ACCESS).

### Public Variables

uint32_t correlationId
uint32_t executed
CUpti_ActivityFlag flags
uint32_t functionId
CUpti_ActivityKind kind
uint32_t pad
uint32_t pcOffset
uint64_t sharedTransactions
uint32_t sourceLocatorId
uint64_t theoreticalSharedTransactions
uint64_t threadsExecuted

### Variables

uint32_t CUpti_ActivitySharedAccess::correlationId [inherited]

  The correlation ID of the kernel to which this result is associated.

uint32_t CUpti_ActivitySharedAccess::executed [inherited]

  The number of times this instruction was executed

CUpti_ActivityFlag CUpti_ActivitySharedAccess::flags [inherited]

  The properties of this shared access.

uint32_t CUpti_ActivitySharedAccess::functionId [inherited]

  Correlation ID with global/device function name

CUpti_ActivityKind CUpti_ActivitySharedAccess::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_SHARED_ACCESS.

uint32_t CUpti_ActivitySharedAccess::pad [inherited]

  Undefined. Reserved for internal use.

uint32_t CUpti_ActivitySharedAccess::pcOffset [inherited]

  The pc offset for the access.

uint64_t CUpti_ActivitySharedAccess::sharedTransactions [inherited]

  The total number of shared memory transactions generated by this access

uint32_t CUpti_ActivitySharedAccess::sourceLocatorId [inherited]

  The ID for source locator.

uint64_t CUpti_ActivitySharedAccess::theoreticalSharedTransactions [inherited]

  The minimum number of shared memory transactions possible based on the access pattern.

uint64_t CUpti_ActivitySharedAccess::threadsExecuted [inherited]

  This increments each time when this instruction is executed by number of threads that executed this instruction with predicate and condition code evaluating to true.